
// CrdMoveDlg.h: 头文件
//

#pragma once


// CCrdMoveDlg 对话框
class CCrdMoveDlg : public CDialogEx
{
// 构造
public:
	CCrdMoveDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MY_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	void FormInit();
	void SetMotionPrm(WORD _crdNo);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	WORD cardConnectNo; //连接卡号

	//运动参数
	double StartVel;
	double MaxVel;
	double StopVel;
	double TAcc;
	double TDec;
	double STime;

	CComboBox Crd_CB;

	//轴号
	CComboBox xAxis;
	CComboBox yAxis;
	CComboBox zAxis;

	//目标位置
	double xAxisTargetPos;
	double yAxisTargetPos;
	double zAxisTargetPos;

	//圆心位置
	double xAxisCenPos;
	double yAxisCenPos;
	double zAxisCenPos;


	int ArcCCircle;
	int ArcRCircle;
	double ArcRRadius;
	double Arc3PXAxis;
	double Arc3PYAxis;
	double Arc3PZAxis;
	int Arc3PCircle;

	// 终点圆心的空间圆弧插补圈数
	int SpaceArcCCircle;
	// 三点圆弧空间插补的X轴位置
	double SpaceArc3PXAxis;
	// 三点圆弧空间插补的Y轴位置
	double SpaceArc3PYAxis;
	// 三点圆弧空间插补的Z轴位置
	double SpaceArc3PZAxis;
	// 三点圆弧空间插补的插补圈数
	int SpaceArc3PCircle;
	// 椭圆插补的椭圆长轴
	double ellipseLongLen;
	// 椭圆插补的椭圆短轴
	double ellipseShortLen;
	// 椭圆插补的插补圈数
	int ellipseCircle;
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton10();
	CStatic axis0GroupBox;
	CStatic axis1GroupBox;
	CStatic axis2GroupBox;
};
